Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix
Class OrdTypeFactory

    java.lang.Object
      com.fxcm.fix.OrdTypeFactory

    public class OrdTypeFactory

extends Object

Order type code

Field Summary
`static IOrdType` | `LIMIT` Limit Entry Order
`static IOrdType` | `MARKET` Market Order
`static IOrdType` | `PEG` Pegged Order, e.g. at market points or trailing stop
`static IOrdType` | `PREVIOUSLY_QUOTED` Previously Quoted Order, A Previously Quoted Order is an order to buy or sell immediately with the last-published price or quote.
`static IOrdType` | `STOP` Stop Entry Order
`static IOrdType` | `STOP_LIMIT` Stop Limit Order Type -- Used for at market points orders

Constructor Summary
`OrdTypeFactory()`

Method Summary
`static IOrdType` | `toCode(String aCode)` Converts a status code to a fix object

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MARKET

    public static final IOrdType MARKET

  Market Order

### LIMIT

    public static final IOrdType LIMIT

  Limit Entry Order

### STOP

    public static final IOrdType STOP

  Stop Entry Order

### PREVIOUSLY_QUOTED

    public static final IOrdType PREVIOUSLY_QUOTED

  Previously Quoted Order, A Previously Quoted Order is an order to buy or sell immediately with the last-published price or quote. Quote ID that accompanies the order is using to validate the order price.

### PEG

    public static final IOrdType PEG

  Pegged Order, e.g. at market points or trailing stop

### STOP_LIMIT

    public static final IOrdType STOP_LIMIT

  Stop Limit Order Type -- Used for at market points orders

Constructor Detail

### OrdTypeFactory

    public OrdTypeFactory()

Method Detail

### toCode

    public static IOrdType toCode(String aCode)

  Converts a status code to a fix object

  Parameters:
    `aCode` - ``ORDTYPE_*``
  Returns:
    order type fix object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FXCM, LLC. All Rights Reserved.